#!/bin/sh 

HOOK_DIR="/var/packages/CloudStation/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
BIN_DIR="/var/packages/CloudStation/target/bin"
SRVCTL="${BIN_DIR}/srvctl"
DIR_SRV_HOOK="${HOOK_DIR}/dir-service-hook"

# FIXME: use real service hook
case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		echo "1.0"
	;;

	# execute pre hook
	--pre)
		if [ "${SYNO_HOME_ACTION}" = "disable" ]; then
			if [ "${SYNO_AUTH_TYPE}" = "local" ]; then
				${SRVCTL} 0 1 &
			elif [ "${SYNO_AUTH_TYPE}" = "domain" ] || [ "${SYNO_AUTH_TYPE}" = "ldap" ]; then
				# dir-service-hook get env "TYPE" for network service type
				env TYPE="${SYNO_AUTH_TYPE}" ${DIR_SRV_HOOK} "--pre-leave"
			fi
		fi
	;;

	# execute post hook
	--post)
		if [ "${SYNO_HOME_ACTION}" = "disable" ]; then
                        if [ "${SYNO_AUTH_TYPE}" = "ldap" ] || [ "${SYNO_AUTH_TYPE}" = "domain" ]; then
				# dir-service-hook get env "TYPE" for network service type
                                env TYPE="${SYNO_AUTH_TYPE}" ${DIR_SRV_HOOK} "--post-leave"
                        fi
                fi
	;;

	*)
	;;
esac
